Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(49)

Issue 10031018: Add a few missing "self = [super init..." notices by the clang static analyzer. (Closed)

Created:
8 years, 5 months ago by Nico
Modified:
8 years, 5 months ago
Reviewers:
Avi (use Gerrit)
CC:
chromium-reviews, Dmitry Lomov (no reviews), jennb, jianli, dcheng, Andrei
Visibility:
Public.

Description

Add a few missing "self = [super init..." notices by the clang static analyzer. BUG=none TEST=none TBR=dimich Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=131621

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -6 lines) Patch
M chrome/browser/ui/cocoa/external_protocol_dialog.mm View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/panels/panel_titlebar_view_cocoa.mm View 1 chunk +5 lines, -4 lines 0 comments Download
M chrome/browser/ui/panels/panel_window_controller_cocoa.mm View 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
Nico
8 years, 5 months ago (2012-04-09 23:05:26 UTC) #1
Dmitry Titov
Drive-by: Why an early return in the first file? Is there some threshold on the ...
8 years, 5 months ago (2012-04-09 23:20:26 UTC) #2
Nico
On 2012/04/09 23:20:26, Dmitry Titov wrote: > Drive-by: Why an early return in the first ...
8 years, 5 months ago (2012-04-09 23:30:35 UTC) #3
Avi (use Gerrit)
LGTM Re the external protocol dialog, what the hell was I thinking? It needs to ...
8 years, 5 months ago (2012-04-10 03:28:34 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/thakis@chromium.org/10031018/1
8 years, 5 months ago (2012-04-10 16:39:12 UTC) #5
commit-bot: I haz the power
Presubmit check for 10031018-1 failed and returned exit status 1. Running presubmit commit checks ...
8 years, 5 months ago (2012-04-10 16:39:15 UTC) #6
Nico
dimich: Can you LGTM for panels/OWNERS?
8 years, 5 months ago (2012-04-10 17:25:37 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/thakis@chromium.org/10031018/1
8 years, 5 months ago (2012-04-10 18:46:49 UTC) #8
commit-bot: I haz the power
8 years, 5 months ago (2012-04-10 20:21:44 UTC) #9
Change committed as 131621

Powered by Google App Engine
This is Rietveld 408576698